%define upstream_name    CGI-Emulate-PSGI
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    PSGI adapter for CGI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module allows an application designed for the CGI environment to run in a
PSGI environment, and thus on any of the backends that PSGI supports.

It works by translating the environment provided by the PSGI specification to
one expected by the CGI specification. Likewise, it captures output as it would
be prepared for the CGI standard, and translates it to the format expected for
the PSGI standard using CGI::Parse::PSGI module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

#%check
#%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.230.0-5.mga9
+ Revision: 1818756
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.230.0-4.mga8
+ Revision: 1503484
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.230.0-3.mga7
+ Revision: 1281853
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.230.0-2.mga7
+ Revision: 1163264
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.230.0-1.mga7
+ Revision: 1157971
- update to 0.23

* Tue May 30 2017 shlomif <shlomif> 0.220.0-2.mga6
+ Revision: 1105558
- Improve the description ( MGA#20945 ).

* Wed Nov 16 2016 guillomovitch <guillomovitch> 0.220.0-1.mga6
+ Revision: 1067584
- new version 0.22

* Wed May 11 2016 tv <tv> 0.210.0-3.mga6
+ Revision: 1013125
- use std build macros
- BR perl(CGI) for building

* Fri Feb 19 2016 umeabot <umeabot> 0.210.0-2.mga6
+ Revision: 968897
- Mageia 6 Mass Rebuild

* Thu Jul 23 2015 sander85 <sander85> 0.210.0-1.mga6
+ Revision: 856481
- update to 0.21

* Sun Oct 19 2014 umeabot <umeabot> 0.200.0-5.mga5
+ Revision: 788757
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 740130
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.200.0-3.mga5
+ Revision: 732922
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-2.mga5
+ Revision: 683641
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 sander85 <sander85> 0.200.0-1.mga5
+ Revision: 674159
- update to 0.20

* Sun Aug 31 2014 sander85 <sander85> 0.190.0-1.mga5
+ Revision: 669953
- update to 0.19

* Fri Aug 08 2014 sander85 <sander85> 0.180.0-1.mga5
+ Revision: 661003
- update to 0.18

* Tue Aug 05 2014 sander85 <sander85> 0.170.0-1.mga5
+ Revision: 659804
- update to 0.17

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-3.mga4
+ Revision: 509382
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 363530
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 314847
- update to 0.15

* Tue Nov 08 2011 kharec <kharec> 0.140.0-1.mga2
+ Revision: 165280
- Disable checks for now, as it breaks build only on the BS.
- update to 0.14

* Fri Oct 14 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 154780
- adding missing buildrequires:
- update to 0.13

* Tue Jun 21 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 111296
- imported package perl-CGI-Emulate-PSGI


* Tue Jun 21 2011 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
